Index: /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 4068)
@@ -23,15 +23,13 @@
 using System.Collections.Generic;
 using System.Linq;
+using HeuristicLab.Analysis;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Operators;
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Random;
-using HeuristicLab.Analysis;
 
 namespace HeuristicLab.Algorithms.TabuSearch {
@@ -155,5 +153,5 @@
       Parameters.Add(new ValueParameter<IntValue>("SampleSize", "The neighborhood size for stochastic sampling move generators", new IntValue(100)));
       Parameters.Add(new ValueParameter<MultiAnalyzer>("Analyzer", "The operator used to analyze the solution.", new MultiAnalyzer()));
-      
+
       RandomCreator randomCreator = new RandomCreator();
       SolutionsCreator solutionsCreator = new SolutionsCreator();
Index: /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearchMainLoop.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearchMainLoop.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearchMainLoop.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using HeuristicLab.Analysis;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -188,5 +187,5 @@
       tabuSelector.MoveQualityParameter.ActualName = MoveQualityParameter.Name;
       tabuSelector.MoveTabuParameter.ActualName = MoveTabuParameter.Name;
-      
+
       moveMakingProcessor.Name = "MoveMaking processor (UniformSubScopesProcessor)";
 
Index: /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSelector.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSelector.cs	(revision 4068)
@@ -22,8 +22,6 @@
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 4068)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Analysis/3.3/MinAverageMaxValueCalculator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/MinAverageMaxValueCalculator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/MinAverageMaxValueCalculator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Analysis/3.3/QualityDifferenceCalculator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/QualityDifferenceCalculator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/QualityDifferenceCalculator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionData.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionData.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionData.cs	(revision 4068)
@@ -8,15 +8,12 @@
  */
 
-using System;
+using System.Collections.Generic;
 using System.IO;
+using System.Linq;
 using System.Text;
 using System.Xml;
-using System.Linq;
-
 using ICSharpCode.SharpDevelop.Dom;
 using ICSharpCode.SharpDevelop.Dom.CSharp;
-using ICSharpCode.SharpDevelop.Dom.VBNet;
 using ICSharpCode.TextEditor.Gui.CompletionWindow;
-using System.Collections.Generic;
 
 namespace HeuristicLab.CodeEditor {
@@ -158,5 +155,6 @@
         }
         return b.ToString();
-      } catch (XmlException) {
+      }
+      catch (XmlException) {
         return xmlDoc;
       }
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionKeyHandler.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionKeyHandler.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionKeyHandler.cs	(revision 4068)
@@ -27,12 +27,6 @@
 
 using System;
-using System.Collections.Generic;
-using System.Drawing;
-using System.Windows.Forms;
-using System.IO;
-using System.Threading;
 
 using ICSharpCode.TextEditor;
-using ICSharpCode.TextEditor.Gui;
 using ICSharpCode.TextEditor.Gui.CompletionWindow;
 
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionProvider.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeCompletionProvider.cs	(revision 4068)
@@ -29,5 +29,4 @@
 using System.Collections;
 using System.Collections.Generic;
-using System.Text;
 using System.Windows.Forms;
 using ICSharpCode.TextEditor;
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.Designer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.Designer.cs	(revision 4068)
@@ -1,4 +1,3 @@
-﻿using System;
-namespace HeuristicLab.CodeEditor {
+﻿namespace HeuristicLab.CodeEditor {
   public partial class CodeEditor : System.Windows.Forms.UserControl {
     /// <summary>
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.cs	(revision 4068)
@@ -27,19 +27,17 @@
 
 using System;
-using System.Linq;
+using System.CodeDom.Compiler;
 using System.Collections.Generic;
+using System.Diagnostics;
 using System.Drawing;
+using System.IO;
+using System.Reflection;
+using System.Threading;
 using System.Windows.Forms;
-using System.IO;
-using System.Threading;
 using HeuristicLab.Common.Resources;
-
+using ICSharpCode.TextEditor;
+using ICSharpCode.TextEditor.Document;
+using Dom = ICSharpCode.SharpDevelop.Dom;
 using NRefactory = ICSharpCode.NRefactory;
-using Dom = ICSharpCode.SharpDevelop.Dom;
-using ICSharpCode.TextEditor.Document;
-using System.CodeDom.Compiler;
-using ICSharpCode.TextEditor;
-using System.Reflection;
-using System.Diagnostics;
 
 namespace HeuristicLab.CodeEditor {
@@ -166,9 +164,14 @@
         // if we made it this far, enable on-disk parsing cache
         projectContentRegistry.ActivatePersistence(persistencePath);
-      } catch (NotSupportedException) {
-      } catch (IOException) {
-      } catch (System.Security.SecurityException) {
-      } catch (UnauthorizedAccessException) {
-      } catch (ArgumentException) {
+      }
+      catch (NotSupportedException) {
+      }
+      catch (IOException) {
+      }
+      catch (System.Security.SecurityException) {
+      }
+      catch (UnauthorizedAccessException) {
+      }
+      catch (ArgumentException) {
       }
       projectContent = new Dom.DefaultProjectContent();
@@ -347,5 +350,6 @@
         lastCompilationUnit = newCompilationUnit;
         parseInformation.SetCompilationUnit(newCompilationUnit);
-      } catch { }
+      }
+      catch { }
     }
 
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeViewer.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeViewer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeViewer.cs	(revision 4068)
@@ -20,10 +20,4 @@
 #endregion
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
@@ -37,5 +31,6 @@
     }
 
-    public CodeViewer(string code) : this() {
+    public CodeViewer(string code)
+      : this() {
       textEditorControl1.Text = code;
     }
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/ErrorBookmark.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/ErrorBookmark.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/ErrorBookmark.cs	(revision 4068)
@@ -19,11 +19,7 @@
  */
 #endregion
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Drawing;
+using ICSharpCode.TextEditor;
 using ICSharpCode.TextEditor.Document;
-using ICSharpCode.TextEditor;
 
 namespace HeuristicLab.CodeEditor {
@@ -36,7 +32,7 @@
     }
 
-    public override void Draw(IconBarMargin margin, System.Drawing.Graphics g, System.Drawing.Point p) {      
+    public override void Draw(IconBarMargin margin, System.Drawing.Graphics g, System.Drawing.Point p) {
       int delta = margin.TextArea.TextView.FontHeight / 4;
-			Rectangle rect = new Rectangle(
+      Rectangle rect = new Rectangle(
         2,
         p.Y + delta,
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/ToolTipProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/ToolTipProvider.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/ToolTipProvider.cs	(revision 4068)
@@ -26,11 +26,9 @@
 // OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-using System;
 using System.Text;
 using ICSharpCode.SharpDevelop.Dom;
 using ICSharpCode.SharpDevelop.Dom.CSharp;
-using ICSharpCode.SharpDevelop.Dom.VBNet;
+using NRefactoryResolver = ICSharpCode.SharpDevelop.Dom.NRefactoryResolver.NRefactoryResolver;
 using TextEditor = ICSharpCode.TextEditor;
-using NRefactoryResolver = ICSharpCode.SharpDevelop.Dom.NRefactoryResolver.NRefactoryResolver;
 
 namespace HeuristicLab.CodeEditor {
@@ -52,5 +50,5 @@
       if (e.InDocument && !e.ToolTipShown) {
         IExpressionFinder expressionFinder;
-        expressionFinder = new CSharpExpressionFinder(codeEditor.parseInformation);        
+        expressionFinder = new CSharpExpressionFinder(codeEditor.parseInformation);
         ExpressionResult expression = expressionFinder.FindFullExpression(
           editor.Text,
Index: /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs	(revision 4068)
@@ -20,6 +20,4 @@
 #endregion
 
-using System.Collections.Generic;
-using System.ComponentModel;
 
 namespace HeuristicLab.Collections {
Index: /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs	(revision 4068)
@@ -20,6 +20,4 @@
 #endregion
 
-using System.Collections.Generic;
-using System.ComponentModel;
 
 namespace HeuristicLab.Collections {
Index: /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Collections.Generic;
 
 namespace HeuristicLab.Collections {
Index: /trunk/sources/HeuristicLab.Collections/3.3/IObservableArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.ComponentModel;
Index: /trunk/sources/HeuristicLab.Collections/3.3/IObservableCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.ComponentModel;
Index: /trunk/sources/HeuristicLab.Collections/3.3/IndexedItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/IndexedItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Collections/3.3/IndexedItem.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Text;
 
 namespace HeuristicLab.Collections {
Index: /trunk/sources/HeuristicLab.Common/3.3/CancelEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Common/3.3/CancelEventArgs.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Common/3.3/CancelEventArgs.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.ComponentModel;
 
Index: /trunk/sources/HeuristicLab.Common/3.3/Cloner.cs
===================================================================
--- /trunk/sources/HeuristicLab.Common/3.3/Cloner.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Common/3.3/Cloner.cs	(revision 4068)
@@ -20,7 +20,5 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Text;
 
 namespace HeuristicLab.Common {
Index: /trunk/sources/HeuristicLab.Common/3.3/EnumerableStatisticExtensions.cs
===================================================================
--- /trunk/sources/HeuristicLab.Common/3.3/EnumerableStatisticExtensions.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Common/3.3/EnumerableStatisticExtensions.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Text;
 using System.Linq;
 
Index: /trunk/sources/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs	(revision 4068)
@@ -20,7 +20,5 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Text;
 
 namespace HeuristicLab.Common {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 4068)
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
@@ -40,5 +33,5 @@
       set { base.Content = value; }
     }
-    
+
     public CheckedItemCollectionView()
       : base() {
@@ -99,5 +92,5 @@
         }
       }
-    }      
+    }
     #endregion
   }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 4068)
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using System.ComponentModel;
 
 namespace HeuristicLab.Core.Views {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.Designer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.Designer.cs	(revision 4068)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using System.Windows.Forms;
-using System.ComponentModel;
 
 namespace HeuristicLab.Core.Views {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System.Collections.Generic;
 using System.Windows.Forms;
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.Designer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.Designer.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Core.Views {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 4068)
@@ -20,8 +20,5 @@
 #endregion
 
-using System;
-using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
-using System.Threading;
 
 namespace HeuristicLab.Core.Views {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.Designer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.Designer.cs	(revision 4068)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using System.Windows.Forms;
-using System.ComponentModel;
 
 namespace HeuristicLab.Core.Views {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.ComponentModel;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 4068)
@@ -22,9 +22,7 @@
 using System;
 using System.Collections.Generic;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Common.Resources;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 4068)
@@ -21,14 +21,9 @@
 
 using System;
+using System.Collections.Generic;
 using System.Linq;
-using System.Collections;
-using System.Collections.Generic;
-using System.Collections.ObjectModel;
-using System.Text;
-using System.Drawing;
+using HeuristicLab.Collections;
+using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-using HeuristicLab.Common.Resources;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 4068)
@@ -20,8 +20,5 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 4068)
@@ -21,14 +21,11 @@
 
 using System;
+using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Collections;
-using System.Collections.Generic;
-using System.Collections.ObjectModel;
-using System.Text;
-using System.Drawing;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
-using HeuristicLab.Collections;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Core {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
@@ -32,5 +31,7 @@
   [StorableClass]
   [Item("ItemDictionary", "Represents a dictionary of items.")]
-  public class ItemDictionary<TKey, TValue> : ObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue> where TKey : class, IItem where TValue : class, IItem {
+  public class ItemDictionary<TKey, TValue> : ObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue>
+    where TKey : class, IItem
+    where TValue : class, IItem {
     private string filename;
     public string Filename {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 4068)
@@ -21,14 +21,11 @@
 
 using System;
+using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Collections;
-using System.Collections.Generic;
-using System.Collections.ObjectModel;
-using System.Text;
-using System.Drawing;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
-using HeuristicLab.Collections;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Core {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 4068)
@@ -21,14 +21,11 @@
 
 using System;
+using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Collections;
-using System.Collections.Generic;
-using System.Collections.ObjectModel;
-using System.Text;
-using System.Drawing;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
-using HeuristicLab.Collections;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Core {
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Drawing;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
